=== debian/changelog ===
libfreesrp (0.3.0-5) unstable; urgency=medium

  * handle missing sem_t in hurd better in apple-mach patch

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 16 Dec 2023 07:46:19 -0500

libfreesrp (0.3.0-4) unstable; urgency=medium

  * skip sysmbols file - C++ is arch-specific

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 16 Dec 2023 01:04:15 -0500

libfreesrp (0.3.0-3) unstable; urgency=medium

  * update standards-version
  * add upstream metadata
  * update watch file
  * simplify usb build-depends
  * apple-mach patch for hurd build (Closes: #882572)

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 15 Dec 2023 23:13:20 -0500

libfreesrp (0.3.0-2) unstable; urgency=medium

  * build with libusb-1.0-0-dev stub on hurd-i386 (Closes: #882514)

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 23 Nov 2017 21:08:47 -0500

libfreesrp (0.3.0-1) unstable; urgency=medium

  * New package (Closes: #874534)

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 06 Sep 2017 01:44:38 -0400
