=== debian/control ===
Source: libfreesrp
Section: libs
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
	       libboost-dev,
               libusb-1.0-0-dev,
               pkg-config
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: http://freesrp.org/

Package: libfreesrp-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libfreesrp0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Software defined radio support for FreeSRP hardware (development files)
 The FreeSRP has a tuning range from 70 MHz to 6 GHz, uses a 12-bit
 ADC with a sampling rate of up to 61.44 MSPS, and has a maximum
 analog filter bandwidth of 56 MHz. It is a full-duplex radio (can
 transmit & receive at the same time). The main chip in the unit is
 the fairly expensive (~$150 USD) AD9364 integrated RF transceiver
 chip and it also comes with a Xilinx Artix 7 FPGA. Furthermore the
 hardware and code is entirely open source.
 .
 This package is the software that provides control of the USB hardware
 and an API to pass data to software defined radio applications on the host.
 .
 This package contains development files along with a set of command
 line utilities.

Package: libfreesrp0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Software defined radio support for FreeSRP hardware (library)
 The FreeSRP has a tuning range from 70 MHz to 6 GHz, uses a 12-bit
 ADC with a sampling rate of up to 61.44 MSPS, and has a maximum
 analog filter bandwidth of 56 MHz. It is a full-duplex radio (can
 transmit & receive at the same time). The main chip in the unit is
 the fairly expensive (~$150 USD) AD9364 integrated RF transceiver
 chip and it also comes with a Xilinx Artix 7 FPGA. Furthermore the
 hardware and code is entirely open source.
 .
 This package is the software that provides control of the USB hardware
 and an API to pass data to software defined radio applications on the host.
 .
 This package contains the shared library.
